
QGIS Application - Bug report #6408

Please migrate plugins from old to new repo

2012-09-25 02:29 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 15661

Description

Plugins from old repos are now de facto unavailable for new users. Please move them to the new repo. Only deprecated, non functional

plugins should be left out.

History

#1 - 2012-09-25 02:54 AM - Jürgen Fischer

Shouldn't that be filed in the trackers of the missing plugins?

#2 - 2012-09-25 03:01 AM - Paolo Cavallini

Maybe yes, but:

    -  not all missing plugins have a bugtracker

    -  I believe this is a general issue, that can be solved with a mass importation rather than one by one.

Of course, this is open to discussion.

#3 - 2012-09-25 07:04 AM - Jürgen Fischer

Paolo Cavallini wrote:

Maybe yes, but:

    -  not all missing plugins have a bugtracker

    -  I believe this is a general issue, that can be solved with a mass importation rather than one by one.

Of course, this is open to discussion.

But it's not a qgis issue...

#4 - 2012-09-25 09:46 AM - Bernd Vogelgesang

But it's not a qgis issue...
well, but "qgis" changed its policy, and now functionalities are lost.

it may be discussed in length and breadth whos fault that is, but at least its a "bug" in the documentation, cause users are highly irritated and nearly no

information was published what happened and how this process is going to be coordinated.

This will only result in thousands of hours of lost time with frustrating searches, when people find a tutorial for their problem, but they have no clue where to

get the plugin and when they found it, how to install it from outside the plugin installer.

My top 2 plugins for the start:

openlayers: 

A lot people have no access to imagery and benefit a lot from this.

table manager: 

Though a lot functionalities already went into core, you still can't reorder or rename columns in a shapefile dbf within qgis without extra steps in the field

calculator.

Thanx for your great work!

#5 - 2012-09-25 09:48 AM - Paolo Cavallini

Table Manager has been migrated

#6 - 2012-09-25 11:17 AM - Jürgen Fischer

Bernd Vogelgesang wrote:

But it's not a qgis issue...

well, but "qgis" changed its policy, and now functionalities are lost.

it may be discussed in length and breadth whos fault that is, but at least its a "bug" in the documentation, cause users are highly irritated and nearly

no information was published what happened and how this process is going to be coordinated.

The question isn't who's fault it is - the question is who can do something about it.  If it's not a qgis issue, it doesn't belong here.   I think the plugin authors

need to act and they probably don't care much about a ticket here.

We can't do much in qgis about it, except to reinstate the old repository list or hijack all plugins - both probably not what we want.

#7 - 2012-09-25 03:44 PM - Paolo Cavallini

I think there is a general agreement on moving the plugins from old to new repo - it's a simple backend replacement after all, no interference with real life of

plugins.

#8 - 2012-09-25 03:51 PM - Jürgen Fischer

Paolo Cavallini wrote:

I think there is a general agreement on moving the plugins from old to new repo - it's a simple backend replacement after all, no interference with

real life of plugins.

huh?   if that's so, why isn't it done already?

2024-04-20 2/3



#9 - 2012-09-25 03:53 PM - Paolo Cavallini

Usual reason - lack of time?

#10 - 2012-12-30 09:51 AM - Giovanni Manghi

- Priority changed from High to Normal

#11 - 2014-06-23 08:12 AM - Paolo Cavallini

- Resolution set to fixed/implemented

- Status changed from Open to Closed
